# Why Use MechWolf

Science has gotten this far without MechWolf, so why did we build it? Why not
keep building one-off custom solutions? Here are some reasons why we think you
should use MechWolf for your next research project.

## MechWolf is built for reproducibility.

One of the most important aspects of good science is reproducibility. MechWolf
allows you to do reproducible science by automating tasks that can introduce
variation into your data, helping you do better science. Furthermore, the API
requires you unambiguously specify things such as times, materials, lengths, and
configurations. MechWolf doesn't *allow* you to write unreproducible code.

## MechWolf is designed with safety in mind.

Among the biggest draws of continuous flow processes is the enhanced degree of
safety provided by doing reactions in small scale. However, these reactions can
still be dangerous. Every aspect of MechWolf was designed to prevent accidents,
from multiple methods of introspection to extensive error checking to thoughtful
programming interfaces that reduce the likelihood of mistakes.

## MechWolf takes the "pro" out of programming.

We built MechWolf to be as approachable as possible. Error messages generated by
MechWolf are specific and provide guidance on how to correct the error. Our
documentation even starts at [square one](../guide/gentle_intro) if
needed.

## MechWolf can do your work for you.

Gone are the days of writing up complicated network descriptions for your
supporting information, manually creating diagrams, and looking up IUPAC names.
Simply put, MechWolf can help reduce the drudgery of research.

## MechWolf won't eat up your budget.

MechWolf is designed to be as inexpensive as possible in the hopes of democratizing automated research.
The system is fully extensible, meaning you can use equipment you probably already have, including spare computers you may have lying around.
If you don't have what you need, the $10 [Raspberry Pi Zero W](https://www.adafruit.com/category/933) will probably meet your needs for less than the cost of a [600 mL beaker](https://www.sciencecompany.com/Pyrex-Beaker-600ml-P6186.aspx).
