# API Reference Overview

Welcome to MechWolf's reference technical documentation.
Here, you'll find detailed descriptions of every class and function in MechWolf.

MechWolf is broken into several parts:

| Name                                   | Source code location        | Description                                                                                                             |
| -------------------------------------- | --------------------------- | ----------------------------------------------------------------------------------------------------------------------- |
| [MechWolf core](/api/core)             | mechwolf/core               | The primary MechWolf business logic, which implements the key features of MechWolf including compilation and execution. |
| [Standard components](/api/stdlib)     | mechwolf/components/stdlib  | Officially supported but nonfunctional components, used as a high level abstraction.                                    |
| [Contributed components](/api/contrib) | mechwolf/components/contrib | Community-supported components which are capable of executing real-world protocols.                                     |
| [Reproducibility zoo](/api/zoo)        | mechwolf/zoo                | Community-supported functions to dynamically generate apparatuses and protocols.                                        |
| [Plugins](/api/plugins)                | mechwolf/plugins            | Community-supported functions that add features to MechWolf                                                             |
